STRUCT DEBUG_OBJ_DES(9)

NAME
struct_debug_obj_descr - object type specific debug description structure

SYNOPSIS

struct debug_obj_descr {
  const char * name;
  void *(* debug_hint) (void *addr);
  int (* fixup_init) (void *addr, enum debug_obj_state state);
  int (* fixup_activate) (void *addr, enum debug_obj_state state);
  int (* fixup_destroy) (void *addr, enum debug_obj_state state);
  int (* fixup_free) (void *addr, enum debug_obj_state state);
  int (* fixup_assert_init) (void *addr, enum debug_obj_state state);
};

MEMBERS

name
    name of the object typee

debug_hint
    function returning address, which have associated kernel symbol, to allow identify the object

fixup_init
    fixup function, which is called when the init check fails

fixup_activate
    fixup function, which is called when the activate check fails

fixup_destroy
    fixup function, which is called when the destroy check fails

fixup_free
    fixup function, which is called when the free check fails

fixup_assert_init
    fixup function, which is called when the assert_init check fails

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT